Index: freebsd/bin/hostname/hostname.c
===================================================================
--- freebsd/bin/hostname/hostname.c	(revision 87d0cda6860491aa8a372f74b9fea6c4e5fb6fa1)
+++ freebsd/bin/hostname/hostname.c	(revision fef6dd1deff7a76cad9ae69c5c678e08a7207abb)
@@ -45,4 +45,13 @@
 #include <getopt.h>
 #include <rtems/netcmds-config.h>
+#define RTEMS_BSD_PROGRAM_NO_OPEN_WRAP
+#define RTEMS_BSD_PROGRAM_NO_SOCKET_WRAP
+#define RTEMS_BSD_PROGRAM_NO_CLOSE_WRAP
+#define RTEMS_BSD_PROGRAM_NO_FOPEN_WRAP
+#define RTEMS_BSD_PROGRAM_NO_FCLOSE_WRAP
+#define RTEMS_BSD_PROGRAM_NO_MALLOC_WRAP
+#define RTEMS_BSD_PROGRAM_NO_CALLOC_WRAP
+#define RTEMS_BSD_PROGRAM_NO_REALLOC_WRAP
+#define RTEMS_BSD_PROGRAM_NO_FREE_WRAP
 #include <machine/rtems-bsd-program.h>
 #include <machine/rtems-bsd-commands.h>
Index: freebsd/contrib/tcpdump/tcpdump.c
===================================================================
--- freebsd/contrib/tcpdump/tcpdump.c	(revision 87d0cda6860491aa8a372f74b9fea6c4e5fb6fa1)
+++ freebsd/contrib/tcpdump/tcpdump.c	(revision fef6dd1deff7a76cad9ae69c5c678e08a7207abb)
@@ -44,4 +44,13 @@
 #include <getopt.h>
 #define setpriority(a, b, c)
+#define RTEMS_BSD_PROGRAM_NO_OPEN_WRAP
+#define RTEMS_BSD_PROGRAM_NO_SOCKET_WRAP
+#define RTEMS_BSD_PROGRAM_NO_CLOSE_WRAP
+#define RTEMS_BSD_PROGRAM_NO_FOPEN_WRAP
+#define RTEMS_BSD_PROGRAM_NO_FCLOSE_WRAP
+#define RTEMS_BSD_PROGRAM_NO_MALLOC_WRAP
+#define RTEMS_BSD_PROGRAM_NO_CALLOC_WRAP
+#define RTEMS_BSD_PROGRAM_NO_REALLOC_WRAP
+#define RTEMS_BSD_PROGRAM_NO_FREE_WRAP
 #include <machine/rtems-bsd-program.h>
 #include <machine/rtems-bsd-commands.h>
Index: freebsd/lib/libc/gen/err.c
===================================================================
--- freebsd/lib/libc/gen/err.c	(revision 87d0cda6860491aa8a372f74b9fea6c4e5fb6fa1)
+++ freebsd/lib/libc/gen/err.c	(revision fef6dd1deff7a76cad9ae69c5c678e08a7207abb)
@@ -51,4 +51,13 @@
 static void (*err_exit)(int);
 #else /* __rtems__ */
+#define RTEMS_BSD_PROGRAM_NO_OPEN_WRAP
+#define RTEMS_BSD_PROGRAM_NO_SOCKET_WRAP
+#define RTEMS_BSD_PROGRAM_NO_CLOSE_WRAP
+#define RTEMS_BSD_PROGRAM_NO_FOPEN_WRAP
+#define RTEMS_BSD_PROGRAM_NO_FCLOSE_WRAP
+#define RTEMS_BSD_PROGRAM_NO_MALLOC_WRAP
+#define RTEMS_BSD_PROGRAM_NO_CALLOC_WRAP
+#define RTEMS_BSD_PROGRAM_NO_REALLOC_WRAP
+#define RTEMS_BSD_PROGRAM_NO_FREE_WRAP
 #include <machine/rtems-bsd-program.h>
 #define err_file stderr
Index: freebsd/sbin/ifconfig/ifclone.c
===================================================================
--- freebsd/sbin/ifconfig/ifclone.c	(revision 87d0cda6860491aa8a372f74b9fea6c4e5fb6fa1)
+++ freebsd/sbin/ifconfig/ifclone.c	(revision fef6dd1deff7a76cad9ae69c5c678e08a7207abb)
@@ -36,4 +36,13 @@
 
 #ifdef __rtems__
+#define RTEMS_BSD_PROGRAM_NO_OPEN_WRAP
+#define RTEMS_BSD_PROGRAM_NO_SOCKET_WRAP
+#define RTEMS_BSD_PROGRAM_NO_CLOSE_WRAP
+#define RTEMS_BSD_PROGRAM_NO_FOPEN_WRAP
+#define RTEMS_BSD_PROGRAM_NO_FCLOSE_WRAP
+#define RTEMS_BSD_PROGRAM_NO_MALLOC_WRAP
+#define RTEMS_BSD_PROGRAM_NO_CALLOC_WRAP
+#define RTEMS_BSD_PROGRAM_NO_REALLOC_WRAP
+#define RTEMS_BSD_PROGRAM_NO_FREE_WRAP
 #include <machine/rtems-bsd-program.h>
 #endif /* __rtems__ */
Index: freebsd/sbin/ifconfig/ifconfig.c
===================================================================
--- freebsd/sbin/ifconfig/ifconfig.c	(revision 87d0cda6860491aa8a372f74b9fea6c4e5fb6fa1)
+++ freebsd/sbin/ifconfig/ifconfig.c	(revision fef6dd1deff7a76cad9ae69c5c678e08a7207abb)
@@ -49,4 +49,13 @@
 #include <getopt.h>
 #undef option
+#define RTEMS_BSD_PROGRAM_NO_OPEN_WRAP
+#define RTEMS_BSD_PROGRAM_NO_SOCKET_WRAP
+#define RTEMS_BSD_PROGRAM_NO_CLOSE_WRAP
+#define RTEMS_BSD_PROGRAM_NO_FOPEN_WRAP
+#define RTEMS_BSD_PROGRAM_NO_FCLOSE_WRAP
+#define RTEMS_BSD_PROGRAM_NO_MALLOC_WRAP
+#define RTEMS_BSD_PROGRAM_NO_CALLOC_WRAP
+#define RTEMS_BSD_PROGRAM_NO_REALLOC_WRAP
+#define RTEMS_BSD_PROGRAM_NO_FREE_WRAP
 #include <machine/rtems-bsd-program.h>
 #include <machine/rtems-bsd-commands.h>
Index: freebsd/sbin/ifconfig/ifgroup.c
===================================================================
--- freebsd/sbin/ifconfig/ifgroup.c	(revision 87d0cda6860491aa8a372f74b9fea6c4e5fb6fa1)
+++ freebsd/sbin/ifconfig/ifgroup.c	(revision fef6dd1deff7a76cad9ae69c5c678e08a7207abb)
@@ -32,4 +32,13 @@
 
 #ifdef __rtems__
+#define RTEMS_BSD_PROGRAM_NO_OPEN_WRAP
+#define RTEMS_BSD_PROGRAM_NO_SOCKET_WRAP
+#define RTEMS_BSD_PROGRAM_NO_CLOSE_WRAP
+#define RTEMS_BSD_PROGRAM_NO_FOPEN_WRAP
+#define RTEMS_BSD_PROGRAM_NO_FCLOSE_WRAP
+#define RTEMS_BSD_PROGRAM_NO_MALLOC_WRAP
+#define RTEMS_BSD_PROGRAM_NO_CALLOC_WRAP
+#define RTEMS_BSD_PROGRAM_NO_REALLOC_WRAP
+#define RTEMS_BSD_PROGRAM_NO_FREE_WRAP
 #include <machine/rtems-bsd-program.h>
 #endif /* __rtems__ */
Index: freebsd/sbin/ping/ping.c
===================================================================
--- freebsd/sbin/ping/ping.c	(revision 87d0cda6860491aa8a372f74b9fea6c4e5fb6fa1)
+++ freebsd/sbin/ping/ping.c	(revision fef6dd1deff7a76cad9ae69c5c678e08a7207abb)
@@ -47,4 +47,13 @@
 #define __need_getopt_newlib
 #include <getopt.h>
+#define RTEMS_BSD_PROGRAM_NO_OPEN_WRAP
+#define RTEMS_BSD_PROGRAM_NO_SOCKET_WRAP
+#define RTEMS_BSD_PROGRAM_NO_CLOSE_WRAP
+#define RTEMS_BSD_PROGRAM_NO_FOPEN_WRAP
+#define RTEMS_BSD_PROGRAM_NO_FCLOSE_WRAP
+#define RTEMS_BSD_PROGRAM_NO_MALLOC_WRAP
+#define RTEMS_BSD_PROGRAM_NO_CALLOC_WRAP
+#define RTEMS_BSD_PROGRAM_NO_REALLOC_WRAP
+#define RTEMS_BSD_PROGRAM_NO_FREE_WRAP
 #include <machine/rtems-bsd-program.h>
 #include <machine/rtems-bsd-commands.h>
Index: freebsd/sbin/ping6/ping6.c
===================================================================
--- freebsd/sbin/ping6/ping6.c	(revision 87d0cda6860491aa8a372f74b9fea6c4e5fb6fa1)
+++ freebsd/sbin/ping6/ping6.c	(revision fef6dd1deff7a76cad9ae69c5c678e08a7207abb)
@@ -107,4 +107,13 @@
 #define __need_getopt_newlib
 #include <getopt.h>
+#define RTEMS_BSD_PROGRAM_NO_OPEN_WRAP
+#define RTEMS_BSD_PROGRAM_NO_SOCKET_WRAP
+#define RTEMS_BSD_PROGRAM_NO_CLOSE_WRAP
+#define RTEMS_BSD_PROGRAM_NO_FOPEN_WRAP
+#define RTEMS_BSD_PROGRAM_NO_FCLOSE_WRAP
+#define RTEMS_BSD_PROGRAM_NO_MALLOC_WRAP
+#define RTEMS_BSD_PROGRAM_NO_CALLOC_WRAP
+#define RTEMS_BSD_PROGRAM_NO_REALLOC_WRAP
+#define RTEMS_BSD_PROGRAM_NO_FREE_WRAP
 #include <machine/rtems-bsd-program.h>
 #include <machine/rtems-bsd-commands.h>
Index: freebsd/sbin/route/route.c
===================================================================
--- freebsd/sbin/route/route.c	(revision 87d0cda6860491aa8a372f74b9fea6c4e5fb6fa1)
+++ freebsd/sbin/route/route.c	(revision fef6dd1deff7a76cad9ae69c5c678e08a7207abb)
@@ -45,4 +45,13 @@
 #define __need_getopt_newlib
 #include <getopt.h>
+#define RTEMS_BSD_PROGRAM_NO_OPEN_WRAP
+#define RTEMS_BSD_PROGRAM_NO_SOCKET_WRAP
+#define RTEMS_BSD_PROGRAM_NO_CLOSE_WRAP
+#define RTEMS_BSD_PROGRAM_NO_FOPEN_WRAP
+#define RTEMS_BSD_PROGRAM_NO_FCLOSE_WRAP
+#define RTEMS_BSD_PROGRAM_NO_MALLOC_WRAP
+#define RTEMS_BSD_PROGRAM_NO_CALLOC_WRAP
+#define RTEMS_BSD_PROGRAM_NO_REALLOC_WRAP
+#define RTEMS_BSD_PROGRAM_NO_FREE_WRAP
 #include <machine/rtems-bsd-program.h>
 #include <machine/rtems-bsd-commands.h>
Index: freebsd/usr.bin/netstat/if.c
===================================================================
--- freebsd/usr.bin/netstat/if.c	(revision 87d0cda6860491aa8a372f74b9fea6c4e5fb6fa1)
+++ freebsd/usr.bin/netstat/if.c	(revision fef6dd1deff7a76cad9ae69c5c678e08a7207abb)
@@ -37,4 +37,13 @@
 
 #ifdef __rtems__
+#define RTEMS_BSD_PROGRAM_NO_OPEN_WRAP
+#define RTEMS_BSD_PROGRAM_NO_SOCKET_WRAP
+#define RTEMS_BSD_PROGRAM_NO_CLOSE_WRAP
+#define RTEMS_BSD_PROGRAM_NO_FOPEN_WRAP
+#define RTEMS_BSD_PROGRAM_NO_FCLOSE_WRAP
+#define RTEMS_BSD_PROGRAM_NO_MALLOC_WRAP
+#define RTEMS_BSD_PROGRAM_NO_CALLOC_WRAP
+#define RTEMS_BSD_PROGRAM_NO_REALLOC_WRAP
+#define RTEMS_BSD_PROGRAM_NO_FREE_WRAP
 #include <machine/rtems-bsd-program.h>
 #endif /* __rtems__ */
Index: freebsd/usr.bin/netstat/main.c
===================================================================
--- freebsd/usr.bin/netstat/main.c	(revision 87d0cda6860491aa8a372f74b9fea6c4e5fb6fa1)
+++ freebsd/usr.bin/netstat/main.c	(revision fef6dd1deff7a76cad9ae69c5c678e08a7207abb)
@@ -45,4 +45,13 @@
 #define __need_getopt_newlib
 #include <getopt.h>
+#define RTEMS_BSD_PROGRAM_NO_OPEN_WRAP
+#define RTEMS_BSD_PROGRAM_NO_SOCKET_WRAP
+#define RTEMS_BSD_PROGRAM_NO_CLOSE_WRAP
+#define RTEMS_BSD_PROGRAM_NO_FOPEN_WRAP
+#define RTEMS_BSD_PROGRAM_NO_FCLOSE_WRAP
+#define RTEMS_BSD_PROGRAM_NO_MALLOC_WRAP
+#define RTEMS_BSD_PROGRAM_NO_CALLOC_WRAP
+#define RTEMS_BSD_PROGRAM_NO_REALLOC_WRAP
+#define RTEMS_BSD_PROGRAM_NO_FREE_WRAP
 #include <machine/rtems-bsd-program.h>
 #include <machine/rtems-bsd-commands.h>
